Subject: bug#46186: Some substitutes are broken (TLS error)

From: Maxime Devos <[email-masked]>
Date: Mon, 08 Feb 2021 10:31:52 +0100

> I looked at the "guix pull --list-generations" output, and I couldn't
> find the commit 23a5dcce1d893b8f5c5301ae3c1af863776ed3cf, weird.  (I
> was trying to find the corresponding date and then look in the closest
> guix system generation for the guix-daemon version)

Correction: it's between these two guix system generations:

Generation 62   Jan 28 2021 21:21:55
  file name: /var/guix/profiles/system-62-link
  canonical file name: /gnu/store/iqh6ddfsizv0anjpsbwvn9l45i04g2ak-system
  label: GNU with [custom linux package] 5.10.6
  bootloader: grub
  root device: /dev/mapper/cryptroot
  kernel: /gnu/store/[custom linux package]-5.10.6/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: c2538db5617032788ac2f140496d00d8107579c8
  configuration file: /gnu/store/ha1lci8g21gv2lg3wsagj112z909b6cl-configuration.scm
Generation 63   Jan 29 2021 21:30:22
  file name: /var/guix/profiles/system-63-link
  canonical file name: /gnu/store/fv2kl8x76n9ygk6673pmk6ss1iyhyxya-system
  label: GNU with [custom linux package] 5.10.6
  bootloader: grub
  root device: /dev/mapper/cryptroot
  kernel: /gnu/store/[custom linux package]-5.10.6/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: 23a5dcce1d893b8f5c5301ae3c1af863776ed3cf
  configuration file: /gnu/store/ha1lci8g21gv2lg3wsagj112z909b6cl-configuration.scm

The package for the guix daemon was not customised.